From eae2e89f14b8f8547dcb945bdfdbcdc9179f499e Mon Sep 17 00:00:00 2001
From: Eli Zaretskii <eliz@gnu.org>
Date: Fri, 15 Jan 2016 10:54:03 +0200
Subject: [PATCH 3/7] Unhide the --no-line-directive option to 'etags'

* lib-src/etags.c (print_help): Un-undocument the --no-line-directive
option.  (Bug#22306)

* doc/man/etags.1: Document the --no-line-directive option.

[This reapplies commit fee0526a189f43e8470d78e8374bd425890fbe6f,
which was inadvertently lost by merge commit
7823745acbe9b87eea2db4ef434e379fc903ec35.]
---
 doc/man/etags.1 | 12 +++++++++---
 lib-src/etags.c |  3 +--
 2 files changed, 10 insertions(+), 5 deletions(-)

diff --git a/doc/man/etags.1 b/doc/man/etags.1
index d5fdc5f..83b970f 100644
--- a/doc/man/etags.1
+++ b/doc/man/etags.1
@@ -17,7 +17,7 @@ etags, ctags \- generate tag file for Emacs, vi
 [\|\-\-parse\-stdin=\fIfile\fP\|]
 .br
 [\|\-\-append\|] [\|\-\-no\-defines\|] [\|\-\-globals\|]
-[\|\-\-no\-globals\|] [\|\-\-include=\fIfile\fP\|]
+[\|\-\-no\-globals\|] [\|\-\-no\-line\-directive\|] [\|\-\-include=\fIfile\fP\|]
 [\|\-\-ignore\-indentation\|] [\|\-\-language=\fIlanguage\fP\|]
 [\|\-\-members\|] [\|\-\-no\-members\|] [\|\-\-output=\fItagfile\fP\|]
 [\|\-\-class\-qualify\|]
@@ -31,8 +31,8 @@ etags, ctags \- generate tag file for Emacs, vi
 [\|\-\-parse\-stdin=\fIfile\fP\|]
 .br
 [\|\-\-append\|] [\|\-\-backward\-search\|]
-[\|\-\-cxref\|] [\|\-\-no\-defines\|]
-[\|\-\-globals\|] [\|\-\-no\-globals\|] [\|\-\-ignore\-indentation\|]
+[\|\-\-cxref\|] [\|\-\-no\-defines\|] [\|\-\-globals\|]
+[\|\-\-no\-globals\|] [\|\-\-no\-line\-directive\|] [\|\-\-ignore\-indentation\|]
 [\|\-\-language=\fIlanguage\fP\|] [\|\-\-members\|] [\|\-\-no\-members\|]
 [\|\-\-class\-qualify\|]
 [\|\-\-output=\fItagfile\fP\|] [\|\-\-regex=\fIregexp\fP\|]
@@ -105,6 +105,12 @@ the default in C and derived languages.
 Do not tag global variables in C and derived languages.  Typically this
 reduces the file size by one fourth.
 .TP
+.B \-\-no\-line\-directive
+Ignore \fB#line\fP preprocessor directives in C and derived languages.  The
+default is to honor those directives, and record the tags as if the
+file scanned was the one named in the \fB#line\fP directive.  This switch is
+useful when the original file named by \fB#line\fP is no longer available.
+.TP
 \fB\-i\fP \fIfile\fP, \fB\-\-include=\fIfile\fP
 Include a note in the tag file indicating that, when searching for a
 tag, one should also consult the tags file \fIfile\fP after checking the
diff --git a/lib-src/etags.c b/lib-src/etags.c
index a822149..01e2302 100644
--- a/lib-src/etags.c
+++ b/lib-src/etags.c
@@ -959,8 +959,7 @@ Relative ones are stored relative to the output file's directory.\n");
 	Do not create tag entries for global variables in some\n\
 	languages.  This makes the tags file smaller.");
 
-  if (PRINT_UNDOCUMENTED_OPTIONS_HELP)
-    puts ("--no-line-directive\n\
+  puts ("--no-line-directive\n\
         Ignore #line preprocessor directives in C and derived languages.");
 
   if (CTAGS)
-- 
2.5.5

